Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
zuonkun

Tạo độ dốc trong CAD

Các bài được khuyến nghị

Nguyen Hoanh    4.524
Kính thưa các bác, cho e hỏi trong CAD, nếu muốn tạo độ dốc như là 10%,4%,5% thì làm thế nào cho nhanh ạ!

E xin kẻm ơn

bạn gõ xline, rồi nhập vào @100,10 để vẽ line nghiêng 10%

bạn gõ xline, rồi nhập vào @100,4 để vẽ line nghiêng 4%

bạn gõ xline, rồi nhập vào @100,5 để vẽ line nghiêng 5%

  • Vote tăng 5

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
zuonkun    0
bạn gõ xline, rồi nhập vào @100,10 để vẽ line nghiêng 10%

bạn gõ xline, rồi nhập vào @100,4 để vẽ line nghiêng 4%

bạn gõ xline, rồi nhập vào @100,5 để vẽ line nghiêng 5%

 

ok,kẻm ơn bác nh`

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
MANHHUNGXDA    458
Kính thưa các bác, cho e hỏi trong CAD, nếu muốn tạo độ dốc như là 10%,4%,5% thì làm thế nào cho nhanh ạ!

E xin kẻm ơn

 

ăn con này xem thế nào:

========================================================

;;Ke do doc theo ti le

(defun c:doc ()

(princ "\n MHPro. Thanks for use")

(command "layer" "m" "ddo" "" )

(setq p1 (getpoint "\nChän ®iÓm thø nhÊt: ")

p2 (getpoint p1"\nChän ®iÓm thø hai: "))

(setq dx (abs(- (car p1)(car p2))))

;---------------------------------;

(setq dx1 (abs(- (car p1)(car p2))))

(setq dy1 (abs(- (cadr p1)(cadr p2))))

(setq tl1 (/ (* dy1 100) dx))

(command "line" p1 p2 "")

(princ (strcat "\n§é dèc hiÖn t¹i: " (rtos tl1 2 2) "%"))

;----------------------------------;

(setq tl (getreal "\n§é dèc míi (%): "))

(command "erase" "last" "")

(if (= tl nil)

(command "line" p1 p2 "")

(progn

(setq dy (/(* tl dx) 100))

(setq x3 (car p2))

(setq y3 (+(cadr p1) dy))

(setq p3 (list x3 y3))

(SETQ OSV(GETVAR "OSMODE"))

(SETVAR "OSMODE" 0)

(command "line" p1 p3 "")

(SETVAR "OSMODE" OSV)

);end progn

);end if

(princ)

)

========================================================

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×